
Redmine - Feature #7043

Give user ability to generate changelogs

2010-12-04 14:46 - Ве Fio

Status: Closed Start date: 2010-12-04

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Roadmap Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

I've seen software like Jira and whatever else have this feature, and then I thought, this is actually a very useful feature, and

Redmine should have it too. The ability to generate Changelogs from select version to version. Takes much of the hard work out of

copy and pasting all the SVN changes manually, and makes it quicker to write your own Changelog, since you have the changes.

Related issues:

Related to Redmine - Feature #1800: Changelog creator New 2008-08-19

Related to Redmine - Feature #36679: Export a version as changelog text Closed

Has duplicate Redmine - Feature #9702: Have a changelog Closed

History

#1 - 2010-12-05 00:08 - Terence Mill

Why don't you export alls tickets fot version x as txt amd reformat it as changelog ?

#2 - 2010-12-05 04:53 - Ве Fio

Terence Mill wrote:

Why don't you export alls tickets fot version x as txt amd reformat it as changelog ?

 And how would you do that? (Just tried, don't see any way to do it)

#3 - 2011-12-07 16:10 - Etienne Massip

- Category set to Roadmap

#4 - 2022-02-22 00:35 - Go MAEDA

- Related to Feature #36679: Export a version as changelog text added

#5 - 2023-04-13 06:25 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed

The feature has been implemented for the upcoming Redmine 5.1.0 (Feature #36679: Export a version as changelog text).
